<?php
//Created by ARDORA www.webardora.net
//ardoraPoster - uploadBack.php
$_SERVER["HTTP_REFERER"]="introDatos.php";
session_start();
include_once ("para.php");include_once (profUname.uName."/".uName."_lib.php");
$slogin_noauthpage = 0;$slogin_pagetitle = "";session_cache_limiter("nocache,private");ini_set("memory_limit","80M");
$folderGroup=$_GET["folderG"];$indi=$_GET["indi"];$indi=(int)$indi;$path ="../".folderWork;
if ($indi==0){$contador=0;
  while (file_exists($path.$slogin_Username."_".$contador.".txt")){$contador++;}}
 else{$contador=$indi-1;}
$nombre_archivo = $_FILES["imaxenBack"]["name"]; $tipo_archivo = $_FILES["imaxenBack"]["type"]; $tamano_archivo = $_FILES["imaxenBack"]["size"];
$nomeArquivo=$slogin_Username."_".$contador; $exten=dameExt($nombre_archivo);
if ((strcmp($exten,"jpg")!=0)&&(strcmp($exten,"jpeg")!=0)&&(strcmp($exten,"gif")!=0)&&(strcmp($exten,"png")!=0)){
   echo $exten.": Tipo de arquivo non permitido";}
else{if ($tamano_archivo > sizeMaxBack){
   echo "Arquivo demasiado grande ".$nombre_archivo." bytes - ".$tamano_archivo." (Max.: ".sizeMaxBack.")";
   }else{
   if (move_uploaded_file($_FILES["imaxenBack"]["tmp_name"],$path.$folderGroup."/back/".$nomeArquivo.".".dameExt($nombre_archivo))){
      echo "success".$path.$folderGroup."/back/".$nomeArquivo.".".dameExt($nombre_archivo);
   }else{echo "Ocurrió algún error al subir el fichero. No pudo guardarse.";}
   $ar=fopen($path.$nomeArquivo.".txt","w") or die("no se pudo crear archivo");
   fputs($ar,$slogin_Username); fputs($ar,"\n"); fputs($ar,"FONDO ".dameExt($nombre_archivo));
   fputs($ar,"\n");fputs($ar,trim($path.$folderGroup."/back/".$nomeArquivo.".".dameExt($nombre_archivo)));
   fputs($ar,"\n"); fclose($ar);}}
function dameExt($fichero) {$f = explode(".",strtolower($fichero)); $extension =end($f);
return $extension;}?>
